<?php

function getBaseUrl()
{
    $currentPath = $_SERVER['PHP_SELF'];
    $pathInfo = pathinfo($currentPath);
    $hostName = $_SERVER['HTTP_HOST'];
    $protocol = strtolower(substr($_SERVER["SERVER_PROTOCOL"], 0, 5)) == 'https://' ? 'https://' : 'http://';
    return $protocol . $hostName . $pathInfo['dirname'];
}

define('BASE_PATH', '/canalla/cmc/src/images/');
define('BASE_PATH_REAL', '/canalla/cmc');
function img($name)
{
    return print_r(getBaseUrl() . "/src/images/" . $name);
}
function urlMaker($path)
{
    return print_r(getBaseUrl() . '/' . $path);
}
?>
<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CMC</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200" />
    <link rel="stylesheet" href="src/styles/css/materialize.min.css" />
    <link rel="stylesheet" href="src/styles/css/plyr.min.css" />
    <link rel="stylesheet" href="src/styles/css/swiper.min.css" />
    <link rel="stylesheet" href="src/styles/scss/main.css" />
</head>

<body>
    <div class="loginRegistroContainer transparent">
        <nav>
            <div class="container">
                <a href="<?php urlMaker('marketplace.php'); ?>" class="logo">
                    <img src="<?php img('logo.svg'); ?>">
                </a>
                <a href="<?php urlMaker('marketplace.php'); ?>" class="logo-mobile">
                    <img src="<?php img('logo-mini.svg'); ?>">
                </a>
            </div>
        </nav>
        <div class="bloque-not-found">
            <div class="img-aire">
                <img src="<?php img('found/aire.png'); ?>" />
            </div>
            <div class="container">
                <div class="flex flex-col align-center text-center mb-1">
                    <h2 class="title-found font-title-found mb-1">Oh Oh!</h2>
                    <p class="h1 subtitle-found">Página no encontrada</p>
                </div>
                <div class="img-title-container">
                    <div class="img-four-one">
                        <img src="<?php img('found/four.png'); ?>" />
                    </div>
                    <div class="img-camion">
                        <img src="<?php img('found/camion.png'); ?>" />
                    </div>
                    <div class="img-four-two">
                        <img src="<?php img('found/four-rotate.png'); ?>" />
                    </div>
                </div>
                <div class="btn-container">
                    <a href="<?php urlMaker('dashboard.php'); ?>" class="waves-effect waves-light btn blue">Ir a dashboard</a>
                </div>
            </div>
        </div>
    </div>
</body>
<script src="./src/js/lib/gsap.min.js"></script>
<script src="./src/js/lib/scrollTrigger.min.js"></script>
<script src="./src/js/lib/swiper.min.js"></script>
<script src="./src/js/lib/plyr.min.js"></script>
<script src="./src/js/lib/materialize.min.js"></script>
<script src="./src/js/lib/imask.js"></script>
<script src="./src/js/main.js"></script>

</html>