let listIntereses = [];

document.addEventListener('DOMContentLoaded', function () {
    M.AutoInit();

    const closeModalMessageG = function(){
        document.querySelector('.modal-message-g').style.display = "none";
    }
    // Close modal mensaje
    // gsap.delayedCall(10, closeModalMessageG);
    window.onclick = function(event) {
        const modalMessage = document.querySelector('.bloque-mensajes');
        if (event.target !== modalMessage) {
            closeModalMessageG();
        }
    }
    //Modal- init
    var elemsModal = document.querySelectorAll('.modal');
    M.Modal.init(elemsModal, {});
    //Modal- end
    //accordion - Init
    const elemsCollapsible = document.querySelectorAll('.collapsible')
    M.Collapsible.init(elemsCollapsible, { accordion: true })
    //accordion - End
    //sidebar - Init
    const elemsSidenav = document.querySelectorAll('.sidenav');
    const sidebar = M.Sidenav.init(elemsSidenav, { edge: 'left' });
    try {
        if (window.matchMedia("(min-width: 1024px)").matches) {
            sidebar[0].open()
        }
    } catch (error) {

    }
    //sidebar - End
    //select - init
    const elemsSelect = document.querySelectorAll('select');
    const e = M.FormSelect.init(elemsSelect, { dropdownOptions: {} });
    //select - end
    //toogle-like - init
    const elemsBtnHeart = document.querySelectorAll('.btn-heart');
    for (let i = 0; i < elemsBtnHeart.length; i++) {
        elemsBtnHeart[i].addEventListener("click", function () {
            elemsBtnHeart[i].classList.toggle("liked");
        });
    }

    const elementSaveHeartTwo = document.querySelectorAll(".c-favorite");
    for (let i = 0; i < elementSaveHeartTwo.length; i++) {
        elementSaveHeartTwo[i].addEventListener("click", function () {
            elementSaveHeartTwo[i].classList.toggle("liked");
        });
    }
    //toogle-like - end
    //PreviewImage - init
    const elemsMaterialboxed = document.querySelectorAll('.materialboxed');
    M.Materialbox.init(elemsMaterialboxed, {});
    const imagesToSelect = document.querySelectorAll('.more-images .image');
    const imagePreview = document.getElementById("preview-image")
    let player

    for (let i = 0; i < imagesToSelect.length; i++) {
        imagesToSelect[i].addEventListener("click", function (e) {
            const imageSelect = imagesToSelect[i]
            const isVideo = imageSelect.classList.contains('action-video')
            if (isVideo) {
                imagePreview.classList.add('hide')
                const urlVideo = imageSelect.getAttribute('data-urlvideo')
                const elementSrc = document.getElementById("preview-video-src")
                elementSrc.setAttribute("src", urlVideo)
                player = new Plyr('#preview-video', { controls: ['play-large', 'play', 'progress', 'current-time', 'mute', 'volume', 'fullscreen'] })
            } else {
                if (player) {
                    player.destroy()
                }
                imagePreview.classList.remove('hide')
                imagePreview.setAttribute("src", imageSelect.children[0].getAttribute('src'))
            }

            for (let j = 0; j < imagesToSelect.length; j++) {
                imagesToSelect[j].classList.remove("active")
            }
            imageSelect.classList.add("active")
        });
    }
    //PreviewImage - end
    //Cantidad input - init
    const elemsCantidad = document.querySelectorAll('.field-cantidad');
    for (let i = 0; i < elemsCantidad.length; i++) {
        for (let j = 0; j < elemsCantidad[i].children.length; j++) {
            const item = elemsCantidad[i].children[j]
            if (item.localName === "button") {
                const button = elemsCantidad[i].children[j]
                const type = button.getAttribute("data-action")
                if (type === "remove") {
                    item.addEventListener("click", () => {
                        const input = elemsCantidad[i].children[1]
                        const prevValue = input.value
                        const min = input.getAttribute("min")
                        const newValue = parseInt(prevValue) - 1
                        elemsCantidad[i].children[1].value = (newValue < min) ? elemsCantidad[i].children[1].value : newValue
                    })
                }
                if (type === "add") {
                    item.addEventListener("click", () => {
                        const input = elemsCantidad[i].children[1]
                        const prevValue = input.value
                        const max = input.getAttribute("max")
                        const newValue = parseInt(prevValue) + 1
                        elemsCantidad[i].children[1].value = (newValue > max) ? elemsCantidad[i].children[1].value : newValue
                    })
                }
            }
        }
    }
    //Cantidad input - end
    //input password icon visibilidad
    const passwordIcons = document.querySelectorAll('.icon-password');
    passwordIcons.forEach((element) => {
        element.addEventListener('click', function () {
            const passwordInput = element.parentElement.querySelector('input');
            if (passwordInput.type === 'password') {
                passwordInput.type = 'text';
                element.textContent = 'visibility_off';
            } else {
                passwordInput.type = 'password';
                element.textContent = 'visibility';
            }
        });
    });
    //input password icon visibilidad
    //Delete button - init
    const buttonsDelete = document.querySelectorAll('[data-delete]');
    for (let i = 0; i < buttonsDelete.length; i++) {
        buttonsDelete[i].addEventListener("click", () => {
            const idToDelete = buttonsDelete[i].getAttribute("data-delete")
            const elementoToDelete = document.getElementById(idToDelete);
            const parentElement = elementoToDelete.parentNode
            parentElement.removeChild(elementoToDelete);
            //busca si el bloque esta vacio lo borra tambien
            if (parentElement.children.length == 1) {
                parentElement.parentNode.removeChild(parentElement)
            }
        })
    }
    //Delete button - end
    //Element like tab - init
    const elemetsLikeATab = document.querySelectorAll('.work-like-tab');
    const removeStatusActiveAll = () => {
        for (let i = 0; i < elemetsLikeATab.length; i++) {
            const containerActiveId = elemetsLikeATab[i].getAttribute("data-container")
            const container = document.getElementById(containerActiveId)
            container.classList.remove("active")
        }
    }
    for (let i = 0; i < elemetsLikeATab.length; i++) {
        elemetsLikeATab[i].addEventListener("click", () => {
            const containerActiveId = elemetsLikeATab[i].getAttribute("data-container")
            const containerActive = document.getElementById(containerActiveId)
            removeStatusActiveAll()
            containerActive.classList.add("active")
            // const elementoToDelete = document.getElementById(idToDelete);
            // const parentElement = elementoToDelete.parentNode
            // parentElement.removeChild(elementoToDelete);
            // //busca si el bloque esta vacio lo borra tambien
            // if(parentElement.children.length == 1){
            //     parentElement.parentNode.removeChild(parentElement)
            // }
        })
    }
    //Element like tab - end
    //Mask inputs - init
    //Credit card number
    const elementCreditCard = document.getElementById('credit_card_number');
    const maskOptionsCreditCard = {
        mask: '0000 0000 0000 0000'
    };
    try {
        IMask(elementCreditCard, maskOptionsCreditCard);
    } catch (error) {

    }
    //ExpiryDate
    const elementExpiryDate = document.getElementById('expiryDate');
    const maskOptionsExpiryDate = {
        mask: '00/00'
    };
    try {
        IMask(elementExpiryDate, maskOptionsExpiryDate);
    } catch (error) {

    }
    //CodigoDeSeguridad
    const elementCvv = document.getElementById('cvv');
    const maskOptionsCvv = {
        mask: '000'
    };
    try {
        IMask(elementCvv, maskOptionsCvv);
    } catch (error) {

    }
    //Mask inputs - init
    //Filter - init
    const filter = document.getElementsByClassName("filter")
    const cleanFilter = () => {
        for (let i = 0; i < filter.length; i++) {
            const elementosFilter = filter[i].querySelectorAll('input, select')
            elementosFilter.forEach(function (elemento) {
                if (elemento.type === "radio") {
                    elemento.checked = false
                }
                if (elemento.type === "select-one") {
                    elemento.selectedIndex = 0;
                    M.FormSelect.getInstance(elemento).input.value = elemento.options[0].text;
                }
                if (elemento.type == "text") {
                    elemento.value = "";
                }
            });
        }
    }
    const radioLimpiarFiltro = document.getElementById("radio-limpiar");
    const btnLimpiarFiltro = document.getElementById("button-limpiar");
    const elementoPadreRadio = (radioLimpiarFiltro) ? radioLimpiarFiltro.parentElement.parentElement.parentElement : "";
    if (radioLimpiarFiltro) {
        radioLimpiarFiltro.addEventListener('change', function (e) {
            e.currentTarget.checked = false;
            elementoPadreRadio.classList.add("hide");
            btnLimpiarFiltro.classList.add("hide");
            cleanFilter();
        })
    }
    if (btnLimpiarFiltro) {
        btnLimpiarFiltro.addEventListener('click', function (e) {
            elementoPadreRadio.classList.add("hide")
            btnLimpiarFiltro.classList.add("hide")
            cleanFilter()
        });
    }
    const actionFilter = (formDataJson) => {
        elementoPadreRadio.classList.remove("hide")
        btnLimpiarFiltro.classList.remove("hide")
        // console.log(formDataJson)//aqui puedes filtrar
    }
    function formToJson(form) {
        let formData = {};
        for (let i = 0; i < form.elements.length; i++) {
            let element = form.elements[i];
            if (element.type === "radio") {
                if (element.checked) {
                    formData[element.name] = element.value;
                }
            } else {
                if (element.type !== "submit" && element.type !== "text") {
                    formData[element.name] = element.value;
                }
            }

        }
        return formData;
    }

    try {
        for (let i = 0; i < filter.length; i++) {
            const elementosFilter = filter[i].querySelectorAll('input, select')
            elementosFilter.forEach(function (elemento) {
                elemento.addEventListener('change', function () {
                    let formDataJson
                    formDataJson = formToJson(filter[i])
                    actionFilter(formDataJson)
                })
            })
        }

    } catch (error) {

    }
    //Modal filter mobile - init
    const filterMobile = document.getElementById('filter-mobile');
    if (filterMobile) {
        const plastaFiltros = document.getElementById("plasta-filtros")
        const modalFiltros = document.getElementById("modal-filtros")
        filterMobile.addEventListener('click', function () {
            plastaFiltros.classList.add("active")
            modalFiltros.classList.add("active")
        })
        plastaFiltros.addEventListener('click', function () {
            plastaFiltros.classList.remove("active")
            modalFiltros.classList.remove("active")
        })
    }
    //Modal filter mobile - end
    //Filter - end
    //slider relacionados
    var swiperRelacionados = new Swiper(".swiperRelacionados", {
        slidesPerView: 2,
        spaceBetween: 16,
        scrollbar: {
            el: ".swiper-scrollbar",
            hide: false,
        },
        breakpoints: {
            640: {
                slidesPerView: 2
            },
            768: {
                slidesPerView: 3
            },
            1024: {
                slidesPerView: 4
            },
            1280: {
                slidesPerView: 4
            },
        }
    });
    //funciones generales para abrir modales
    const openModal = function (selector) {
        var tl = gsap.timeline();
        tl.set("html", { "overflow-y": "hidden" });
        tl.set(selector, { zIndex: 9999 });
        tl.to(selector, { opacity: 1, duration: 0.5 });
    };
    const closeModal = function (selector) {
        var tl = gsap.timeline();
        tl.set("html", { "overflow-y": "unset" });
        tl.to(selector, { opacity: 0, duration: 0.5 });
        tl.set(selector, { zIndex: -1 });
    };
    //open y close modal bolsa form
    const openModalBolsa = document.getElementById("open-modal-solicitud");
    const closeModalBolsa = document.querySelectorAll('.close-modal-solicitud');
    if (openModalBolsa) {
        openModalBolsa.addEventListener("click", function (e) {
            e.preventDefault();
            openModal('#modal-solicitud');
        });
    }
    if (closeModalBolsa) {
        closeModalBolsa.forEach(function (element, index) {
            element.addEventListener("click", function (e) {
                e.preventDefault();
                closeModal('#modal-solicitud');
            });
        });
    }
    //open y close modal exito solicitud
    const openModalSolicitudExito = function () {
        openModal("#modal-exito-solicitud");
    };
    const closeModalSolicitudExito = function () {
        closeModal("#modal-exito-solicitud");
    };
    const btnClose = document.getElementById("close-exito-solicitud");
    if (btnClose) {
        btnClose.addEventListener("click", function (e) {
            closeModalSolicitudExito();
        });
    }
    //open y close modal vista previa oferta.php
    const openModalVistaPrevia = function () {
        openModal("#modal-vista-prev-oferta");
    };
    const closeModalVistaPrevia = function () {
        closeModal("#modal-vista-prev-oferta");
    };
    const btnOpenModalVistaPrevia = document.getElementById("openModalVP");
    if (btnOpenModalVistaPrevia) {
        btnOpenModalVistaPrevia.addEventListener("click", function (e) {
            openModalVistaPrevia();
        });
    }
    const btnCloseModalVistaPrevia = document.getElementById("closeModalVP");
    if (btnCloseModalVistaPrevia) {
        btnCloseModalVistaPrevia.addEventListener("click", function (e) {
            closeModalVistaPrevia();
        });
    }

    //modal finalizar solicitud
    const listOpenModalFinalizarSolicitud = document.querySelectorAll(".open-modal-finalizar-solicitud");
    if (listOpenModalFinalizarSolicitud.length > 0) {
        listOpenModalFinalizarSolicitud.forEach(function (element) {
            element.addEventListener("click", function (e) {
                e.preventDefault();
                openModalFinalizarSolicitud();
            });
        });
    }
    const btnFinalizarSolicitud = document.querySelector(".close-modal-finalizar-solicitud");
    if (btnFinalizarSolicitud) {
        btnFinalizarSolicitud.addEventListener("click", function (e) {
            e.preventDefault();
            closeModalFinalizarSolicitud();
        });
    }
    const openModalFinalizarSolicitud = function () {
        openModal("#modal-finalizar-solicitud");
    };
    const closeModalFinalizarSolicitud = function () {
        closeModal("#modal-finalizar-solicitud");
    };

    //codigo para boton de tipo archivo
    const createChipFile = (file) => {
        const pElement = document.createElement("p");
        pElement.className = "label-file";
        pElement.innerText = file.name;
        return pElement;
    };

    const createChipPreview = (file) => {
        const divCard = document.createElement("div");
        divCard.className = "preview-img-file";
        const urlImg = URL.createObjectURL(file);
        const imgPreviewInner = document.createElement("img");
        imgPreviewInner.src = urlImg;
        divCard.appendChild(imgPreviewInner);
        return divCard;
    };
    const createLabelErrorFile = (file, message) => {
        const pElement = document.createElement("p");
        pElement.className = "error-label";
        pElement.innerText = `El archivo ${file.name} ${message}`;
        const iconAlert = document.createElement("i");
        iconAlert.className = "material-symbols-outlined";
        iconAlert.innerText = 'error';
        pElement.insertAdjacentHTML('afterbegin', iconAlert.outerHTML);
        return pElement;
    };
    const showFilesList = function (elementFile, file) {
        let parentFile = elementFile.closest(".input-file");
        const errorLabels = parentFile.querySelectorAll(".label-file");
        errorLabels.forEach(label => label.remove());
        let chipFileBtn = createChipFile(file);
        //boton para remover
        const deleteButton = document.createElement("button");
        deleteButton.innerHTML = '<i class="material-symbols-outlined">close</i>';
        deleteButton.addEventListener("click", function (e) {
            e.preventDefault();
            removeFile(elementFile, chipFileBtn);
        });
        chipFileBtn.appendChild(deleteButton);
        parentFile.appendChild(chipFileBtn);
    };

    const removeFile = function (elementFile, deleteButton) {
        elementFile.value = "";
        deleteButton.remove();
    };

    const removeSingleFile = function (elementFile, deleteButton, fileToDelete) {
        const files = Array.from(elementFile.files);
        const filteredFiles = files.filter(file => file !== fileToDelete);
        const dataTransfer = new DataTransfer();
        filteredFiles.forEach(file => {
            dataTransfer.items.add(file);
        });
        elementFile.files = dataTransfer.files;
        deleteButton.remove();
    }

    const btnFile = document.querySelectorAll(".file-btn");
    btnFile.forEach(function (element) {
        // element.value = "";
        if (element.files.length > 0)
            showFilesList(element, element.files[0]);
        const sizeValidate = element.getAttribute("data-size-max");
        const mbMaxSize = sizeValidate * 1024 * 1024;
        element.addEventListener("change", function (event) {
            const fileTarget = event.target.files[0];
            const sizeValidate = validateSize(fileTarget, mbMaxSize);
            if (sizeValidate) return;
            showFilesList(element, fileTarget);
        });
    });
    const removeHtmlList = (listHtml) => {
        if (listHtml.length == 0)
            return;
        listHtml.forEach(function (value) {
            value.remove();
        });
    };
    const validateSize = (file, sizeFileMax) => {
        return file.size > sizeFileMax;
    };
    const validarExtension = (ext, allowExt) => {
        return allowExt.indexOf(ext) !== -1;
    };
    const validacionFiles = (files, sizeValidate, listTypesValidate, parentElement) => {
        if (files.length == 0)
            return;
        let contadorError = 0;
        const mbMaxSize = sizeValidate * 1024 * 1024;
        Array.from(files).forEach(function (file) {
            let nombreArchivo = file.name;
            let extension = nombreArchivo.substring(nombreArchivo.lastIndexOf('.')).toLowerCase();
            const isValidateExt = validarExtension(extension, listTypesValidate);
            if (!isValidateExt) {
                const createError = createLabelErrorFile(file, `tipo de archivo no permitido.`);
                parentElement.appendChild(createError);
                contadorError += 1;
                return;
            }
            const isValidateSize = validateSize(file, mbMaxSize);
            if (isValidateSize) {
                const createError = createLabelErrorFile(file, `excedio el tamaño permitido de ${sizeValidate} mb.`);
                parentElement.appendChild(createError);
                contadorError += 1;
            }
        });
        return contadorError > 0;
    };
    //codigo para control multiples files, drag and drop
    const listInputFiles = document.querySelectorAll(".files-drag-drop");
    if (listInputFiles.length > 0) {
        const showFilesListGallery = function (parentFile, fileList, fileInputElement) {
            if (fileList.length == 0)
                return "";
            Array.from(fileList).forEach(file => {
                const chipImgPreviewHtml = createChipPreview(file);
                // //boton para remover
                const deleteButton = document.createElement("button");
                deleteButton.innerHTML = '<i class="material-symbols-outlined">close</i>';
                deleteButton.addEventListener("click", function (e) {
                    e.preventDefault();
                    removeSingleFile(fileInputElement, chipImgPreviewHtml, file);
                });
                chipImgPreviewHtml.appendChild(deleteButton);
                parentFile.appendChild(chipImgPreviewHtml);
            });
        };

        listInputFiles.forEach(function (value) {
            const fileInput = value.querySelector('input[type="file"]');
            const labelInput = value.querySelector("label");
            const sizeValidate = fileInput.getAttribute("data-size-max");
            const typesValidate = fileInput.getAttribute("accept");
            const listTypesValidate = typesValidate.split(',').map(t => t.trim().toLowerCase());
            let parentFile = value.closest(".container-files-gallery");
            let parentGallery = parentFile.querySelector('.wrap-gallery');
            console.log(parentGallery);
            if (fileInput.files.length > 0) {
                showFilesListGallery(parentGallery, fileInput.files, fileInput);
            }
            const handleFilesChange = (files) => {
                if (validacionFiles(files, sizeValidate, listTypesValidate, parentFile)) {
                    fileInput.value = "";
                    return;
                }
                showFilesListGallery(parentGallery, files, fileInput);
            };

            fileInput.addEventListener("change", function (event) {
                const filesTarget = event.target.files;
                handleFilesChange(filesTarget);
            });
            labelInput.addEventListener('dragover', function (e) {
                e.stopPropagation();
                e.preventDefault();
                e.dataTransfer.dropEffect = 'copy';
            });
            labelInput.addEventListener('drop', function (e) {
                e.stopPropagation();
                e.preventDefault();
                const filesTargetDrop = e.dataTransfer.files;
                handleFilesChange(filesTargetDrop);
            });
        });
    }
    const listInputFilesBackground = document.querySelectorAll(".file-drag-drop-background");
    if (listInputFilesBackground.length > 0) {
        listInputFilesBackground.forEach(function (value) {
            const fileInput = value.querySelector('input[type="file"]');
            const labelInput = value.querySelector("label");
            const imgSelected = value.querySelector(".img-selected");
            const sizeValidate = fileInput.getAttribute("data-size-max");
            const typesValidate = fileInput.getAttribute("accept");
            const listTypesValidate = typesValidate.split(',').map(t => t.trim().toLowerCase());
            let parentFile = value.closest(".container-drop-file");

            const resetMessageBackground = (parentFile, imgSelectedContainer) => {
                imgSelected.classList.remove("show");
                imgSelectedContainer.classList.remove("border-hidden");
                imgSelected.style.backgroundImage = `url('')`;
                const listErrorsList = parentFile.querySelectorAll(".error-label");
                removeHtmlList(listErrorsList);
            };
            const showFileBackground = (file, imgSelectedTarget, parentFile) => {
                var reader = new FileReader();
                reader.onload = function (e) {
                    imgSelectedTarget.classList.add("show");
                    parentFile.classList.add("border-hidden");
                    imgSelectedTarget.style.backgroundImage = `url('${reader.result}')`;
                };
                reader.readAsDataURL(file);
            };
            if (fileInput.files.length > 0) {
                showFileBackground(fileInput.files[0], imgSelected, value);
            }
            fileInput.addEventListener("change", function (event) {
                const filesTarget = event.target.files;
                resetMessageBackground(parentFile, value);
                if (validacionFiles(filesTarget, sizeValidate, listTypesValidate, parentFile)) {
                    fileInput.value = "";
                    return;
                }
                showFileBackground(filesTarget[0], imgSelected, value);
            });
            labelInput.addEventListener('dragover', function (e) {
                e.stopPropagation();
                e.preventDefault();
                e.dataTransfer.dropEffect = 'copy';
            });
            labelInput.addEventListener('drop', function (e) {
                e.stopPropagation();
                e.preventDefault();
                const filesTargetDrop = e.dataTransfer.files;
                resetMessageBackground(parentFile, value);
                if (validacionFiles(filesTargetDrop, sizeValidate, listTypesValidate, parentFile)) {
                    fileInput.value = "";
                    return;
                }
                fileInput.files = filesTargetDrop;
                showFileBackground(filesTargetDrop[0], imgSelected, value);
            });
        });
    }
    //open submenu
    const btnOpenSubMenuSideBar = document.getElementById("openSubMenuSidebar");
    if (btnOpenSubMenuSideBar) {
        const subMenuSideBar = document.getElementById("subMenuSidebar");
        const parentSubmenu = document.getElementById("submenuBolsa");
        function showSubMenu() {
            subMenuSideBar.style.display = "block";
        }
        function hideSubMenu() {
            subMenuSideBar.style.display = "none";
        }
        btnOpenSubMenuSideBar.addEventListener("click", function (e) {
            e.preventDefault();
            if (subMenuSideBar.style.display == "block") {
                hideSubMenu();
            } else {
                showSubMenu();
            }
        });
        document.addEventListener("click", function (e) {
            if (e.target !== btnOpenSubMenuSideBar && e.target !== parentSubmenu) {
                hideSubMenu();
            }
        });
    }
    //open submenu user
    const btnOpenUserSubMenu = document.getElementById("openSubUser");
    if (btnOpenUserSubMenu) {
        const subMenuSideBar = document.getElementById("userSubMenu");
        const parentSubmenu = document.getElementById("parentSubUser");
        function showSubMenu() {
            subMenuSideBar.style.display = "block";
        }
        function hideSubMenu() {
            subMenuSideBar.style.display = "none";
        }
        btnOpenUserSubMenu.addEventListener("click", function (e) {
            e.preventDefault();
            if (subMenuSideBar.style.display == "block") {
                hideSubMenu();
            } else {
                showSubMenu();
            }
        });
        document.addEventListener("click", function (e) {
            if (e.target !== btnOpenUserSubMenu && e.target !== parentSubmenu) {
                hideSubMenu();
            }
        });
    }
    //chips select, agrega y quitar selecciones del select
    const selectMainInteres = document.getElementById("categoriaTwo");
    if (selectMainInteres) {
        const removeSelected = (value) => {
            var options = selectMainInteres.options;
            for (var i = 0; i < options.length; i++) {
                if (options[i].value === value) {
                    options[i].selected = false;
                    break;
                }
            }
            M.FormSelect.init(selectMainInteres);
        };
        const obtenerListIntereses = (options) => {
            listIntereses = [];
            for (var i = 0; i < options.length; i++) {
                var opcion = options[i];
                if (opcion.selected && opcion.value !== "") {
                    listIntereses.push(opcion.value);
                }
            }
            addChipInteres();
        };
        const addChipInteres = () => {
            document.getElementById("listChips").innerHTML = "";
            listIntereses.forEach(function (value) {
                const divElement = document.createElement('div');
                divElement.classList.add('chips-me', 'p');
                const spanElement = document.createElement('span');
                spanElement.textContent = value;
                const iconDivElement = document.createElement('div');
                iconDivElement.classList.add('icon-chip');
                const iElement = document.createElement('i');
                iElement.classList.add('material-symbols-outlined');
                iElement.textContent = 'close';
                iconDivElement.appendChild(iElement);
                divElement.appendChild(spanElement);
                divElement.appendChild(iconDivElement);
                document.getElementById("listChips").appendChild(divElement);
                iconDivElement.addEventListener("click", function (e) {
                    e.preventDefault();
                    divElement.remove();
                    removeSelected(value);
                });
            });
        };
        const optionsInit = selectMainInteres.options;
        obtenerListIntereses(optionsInit);
        selectMainInteres.addEventListener("change", function (e) {
            const options = e.target.options;
            obtenerListIntereses(options);
        });
    }
    //video curso interna
    var playerCurso = new Plyr('#intVideoCursos', { controls: ['play-large', 'play', 'progress', 'current-time', 'mute', 'volume', 'fullscreen'] });
    //detecta focus en input search
    const inputSearch = document.querySelector(".input-search input");
    if (inputSearch) {
        inputSearch.addEventListener("focus", function (e) {
            const parentInput = e.target.closest('.input-search');
            parentInput.classList.add("focus");
        });
        inputSearch.addEventListener("focusout", function (e) {
            const parentInput = e.target.closest('.input-search');
            parentInput.classList.remove("focus");
        });
    }
    //codigo para agregar variables en nuevo producto
    let counterVariable = 1;
    const addBtnVariables = document.getElementById("addVariable");
    const createInputField = (id, name, label) => {
        var containerInputNombre = document.createElement('div');
        containerInputNombre.classList.add("input-field");
        //crear input
        var fielInputNombre = document.createElement('input');
        fielInputNombre.classList.add("validate");
        fielInputNombre.id = name + id;
        fielInputNombre.name = name + id;
        fielInputNombre.type = "text";
        //crear label
        var labelNombre = document.createElement('label');
        labelNombre.htmlFor = name + id;
        labelNombre.textContent = label;
        containerInputNombre.appendChild(fielInputNombre);
        containerInputNombre.appendChild(labelNombre);

        return containerInputNombre;
    };
    if (addBtnVariables) {
        addBtnVariables.addEventListener("click", function (e) {
            e.preventDefault();
            const parentVariables = document.getElementById("listVariables");
            if (counterVariable === 1)
                parentVariables.classList.add("mb-1")
            counterVariable++;
            var containerParentInput = document.createElement('div');
            containerParentInput.classList.add("parent-input-field");

            const inputNombre = createInputField(counterVariable, "nombreVariable", 'Nombre de la variable');
            const descripcionNombre = createInputField(counterVariable, "descripcionVariable", 'Descripción');
            var buttonDelete = document.createElement("button");
            buttonDelete.setAttribute("type", "button");
            buttonDelete.classList.add("button-delete-vr");
    
            buttonDelete.addEventListener("click", function(e){
                e.preventDefault();
                containerParentInput.remove();
            });

            containerParentInput.appendChild(inputNombre);
            containerParentInput.appendChild(descripcionNombre);
            containerParentInput.appendChild(buttonDelete);
            
            parentVariables.appendChild(containerParentInput);
        });
    }
    //muestra campos password para cambiar la contraseña
    const btnShowChangePassword = document.getElementById("showChangePassword");
    if (btnShowChangePassword) {
        btnShowChangePassword.addEventListener("click", function (e) {
            e.preventDefault();
            const fieldsPassword = document.getElementById("fields-password");
            fieldsPassword.classList.toggle("hidden");
        });
    }



    const btnShowInfoEmpresa = document.getElementById("btnInfoEmpresa");
    if (btnShowInfoEmpresa) {
        btnShowInfoEmpresa.addEventListener("click", function (e) {
            e.preventDefault();
            const infoEmpresa = document.getElementById("infoEmpresa");
            infoEmpresa.classList.toggle("hidden");
            if (infoEmpresa.classList.contains("hidden")) {
                btnShowInfoEmpresa.innerText = "Conocer más para empresas";
            } else {
                btnShowInfoEmpresa.innerText = "Ver menos";
            }
        });
    }
});